Subject: Re: How I can reset TCP sockets after long suspend/resume cyscle

From: Rick Jones <[email-masked]>
Date: Wed, 04 Jun 2008 14:23:37 -0700

> Another idea would be for the kernel to prematurely run the keepalive
> timer for all TCP connections after resume. The keepalive code would send
> an ACK (out of window) which causes other side to send a RST or ACK.
> 
> It is normal behaviour, the change would just make the timer happen sooner.

Would you have it done even for those endpoints on which SO_KEEPALIVE 
wasn't set?

rick jones